/// <reference types="node" />
export declare class VectorBufferStream {
    private buffer;
    position: number;
    constructor(initialSize: number);
    static fromBuffer(buffer: Buffer): VectorBufferStream;
    getAsHexString(): string;
    getBufferLength(): number;
    isAtOrPastEnd(): boolean;
    private ensureCapacity;
    getBuffer(): Buffer;
    write(value: string | Buffer, encoding?: BufferEncoding): void;
    writeInt8(value: number): void;
    writeUInt8(value: number): void;
    writeString(value: string): void;
    writeBuffer(value: Buffer): void;
    writeInt16(value: number): void;
    writeUInt16(value: number): void;
    writeInt32(value: number): void;
    writeUInt32(value: number): void;
    writeBigInt64(value: bigint): void;
    writeBigUInt64(value: bigint): void;
    writeFloat(value: number): void;
    writeDouble(value: number): void;
    readString(): string;
    readBuffer(): Buffer;
    readUInt8(): number;
    readInt16(): number;
    readUInt16(): number;
    readInt32(): number;
    readUInt32(): number;
    readBigInt64(): bigint;
    readBigUInt64(): bigint;
    readFloat(): number;
    readDouble(): number;
    readFixedBuffer(length: number): Buffer;
    writeFixedBuffer(value: Buffer): void;
}
